                           -- DROPGENS.SQL
/*
** Drop the interim tables that are used in generating sample data.
**
** Don't forget to say 'USE Credit' first.
*/

USE Credit
SET NOCOUNT ON
GO
IF ( (SELECT db_name()) <> 'Credit')
BEGIN
   RAISERROR ('Database "Credit" not found.',22,127) WITH LOG
END
GO


/*
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('straight_rand')
   DROP PROCEDURE straight_rand
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('skewed_rand')
   DROP PROCEDURE skewed_rand
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('show_dist')
   DROP PROCEDURE show_dist
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('load_members')
   DROP PROCEDURE load_members
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('generate_firstname')
   DROP PROCEDURE generate_firstname
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('load_charges')
   DROP PROCEDURE load_charges
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('load_payments')
   DROP PROCEDURE load_payments
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('load_statements')
   DROP PROCEDURE load_statements
*/
GO


--IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('integer_table')
   DROP TABLE integer_table
--IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('lastname_table')
   DROP TABLE lastname_table
--IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('firstname_table')
   DROP TABLE firstname_table
--IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('corpname_table')
   DROP TABLE corpname_table
--IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('street_table')
   DROP TABLE street_table
--IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('address_table')
   DROP TABLE address_table
--IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('letter_table')
   DROP TABLE letter_table
GO
